import java.awt.*;
import java.awt.event.*;
import com.symbian.devnet.quartz.awt.*;

public class P800Beispiel extends QFrame implements ActionListener
{
	private MenuItem menuAppExit = new MenuItem("Exit", new MenuShortcut(KeyEvent.VK_X));

	private final String[] dialogText =
		{"Test-Applikation",
		"Java fr P800"};
	private final Label labelHallo = new Label("Hallo Welt!");


	public P800Beispiel()
	{
		// Das standardmige "Bearbeiten"-Men entfernen
		menuBar.remove(editMenu);
		// ActionListener fr Exit-Men-Punkt
		menuAppExit.addActionListener(this);
		// Neue Menpunkte zum Haupt-Men hinzufgen
		createAboutDialog("P800Beispiel-Applikation", dialogText);
		appMenu.add(new MenuItem("-")); // Linie
		appMenu.add(menuAppExit);

		// Layout
		setLayout(new FlowLayout());
		add(labelHallo);

		// Zeigen
		show();
		setVisible(true);
	}

	public void actionPerformed(ActionEvent ae)
	{
		if(ae.getSource().equals(menuAppExit)) {
			shutDown(); // beendet Applikation
		}
	}

	public static void main(String[] args) {
		// Wartezeit fuer den Emulator
		// Dieser Code muss in jeder Start-Klasse stehen
		// damit der Emulator Zeit hat sich zu initialisieren,
		// bis die Klasse eine GUI aufbaut.
		if (args.length > 0) {
			String s = args[args.length - 1];
			if (s.equals("wait")) {
				try {
					Thread.sleep(15000);
				}
				catch (InterruptedException e) {}
			}
		}
		// Neue Instanz der Klasse P800Beispiel um die GUI aufzubauen
		new P800Beispiel();
	}
}